Using the µVision Socket Interface: PRJDATA Struct Reference

| Using the µVision Socket Interface Application Note 198 Control and monitor µVision via the built-in TCP/IP interface

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
PRJDATA Struct Reference
Structs

## Data Fields
UINT | nLen
| Length of szNames including NULL terminators. More...
UINT | nCode
| Informational code. More...
char | szNames [1]
| Information ('string 1',0 [,'string 2',0] ... [,'string N',0]) More...

## Description

Multiple string data

Contains one or more NULL terminated strings.

This structure is used in the following messages:

Client ==> uVision (Request)

- UV_PRJ_ADD_GROUP (Set szNames to the group name to add, and set nLen to the length of the group name (including terminator))
- UV_PRJ_DEL_GROUP (Set szNames to the group name to remove, and set nLen to the length of the group name (including terminator))
- UV_PRJ_SET_TARGET (Set szNames to the new active target, and set nLen to the length of the target name (including terminator))
- UV_PRJ_SET_OUTPUTNAME (Set szNames to the new output name, and set nLen to the length of the output name (including terminator))
- UV_PRJ_ADD_FILE (Set string 1 in szNames to the group name to add files to, set strings 2 to N to the filename(s) to add, and set nLen to the length of all strings (including all terminators))
- UV_PRJ_DEL_FILE (Set string 1 in szNames to the group name to remove files from, set strings 2 to N to the filename(s) to remove, and set nLen to the length of all strings (including all terminators))
- UV_PRJ_LOAD (Set szNames to the path and filename of the project to load, and set nLen to the length of the path and filename (including terminator))

Client <== uVision (Async)

- UV_RTA_MESSAGE (uVision writes the message to szNames, the message size to nLen, and the message routing to nCode. The message may be raw bytes rather than a string)
- UV_PRJ_BUILD_OUTPUT (uVision writes the line of build output to szNames, and the line size to nLen)
- UV_PRJ_BUILD_COMPLETE (uVision writes the build completion code to nCode)

## Field Documentation

UINT PRJDATA::nCode

Informational code.

UINT PRJDATA::nLen

Length of szNames including NULL terminators.

char PRJDATA::szNames[1]

Information ('string 1',0 [,'string 2',0] ... [,'string N',0])